Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.SetMaxSequentialWrites Method
DatabaseEnvironment Class See Also Send Feedback

Limit the number of sequential write operations scheduled by the library when flushing dirty pages from the cache.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void SetMaxSequentialWrites(
    	int maxWrites,
    	uint pause
    )

Visual Basic (Declaration)
    Public Sub SetMaxSequentialWrites ( _
    	maxWrites As Integer, _
    	pause As UInteger _
    )

Visual C++
    public:
    void SetMaxSequentialWrites(
    	int maxWrites,
    	unsigned int pause
    )

#### Parameters

maxWrites
  Type: System..::.Int32
  The maximum number of sequential write operations scheduled by the library when flushing dirty pages from the cache, or 0 if there is no limitation on the number of sequential write operations.

pause
  Type: System..::.UInt32
  The number of microseconds the thread of control should pause before scheduling further write operations. It must be specified as an unsigned 32-bit number of microseconds, limiting the maximum pause to roughly 71 minutes.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace